openssl-1.0.1m-1.mga4.i586.rpm


Advertisement

Description

openssl - Secure Sockets Layer communications libs & utils

Property Value
Distribution Mageia 4.1
Repository Mageia Core Updates i586
Package name openssl
Package version 1.0.1m
Package release 1.mga4
Package architecture i586
Package type rpm
Installed size 889.47 KB
Download size 373.12 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
The openssl certificate management tool and the shared libraries that provide
various encryption and decription algorithms and protocols, including DES, RC4,
RSA and SSL.

Alternatives

Package Version Architecture Repository
openssl-1.0.1p-1.mga4.i586.rpm 1.0.1p i586 Mageia Core Updates
openssl-1.0.1p-1.mga4.x86_64.rpm 1.0.1p x86_64 Mageia Core Updates
openssl-1.0.1o-1.mga4.i586.rpm 1.0.1o i586 Mageia Core Updates
openssl-1.0.1o-1.mga4.x86_64.rpm 1.0.1o x86_64 Mageia Core Updates
openssl-1.0.1m-1.mga4.x86_64.rpm 1.0.1m x86_64 Mageia Core Updates
openssl-1.0.1k-1.mga4.i586.rpm 1.0.1k i586 Mageia Core Updates
openssl-1.0.1k-1.mga4.x86_64.rpm 1.0.1k x86_64 Mageia Core Updates
openssl-1.0.1e-8.8.mga4.i586.rpm 1.0.1e i586 Mageia Core Updates
openssl-1.0.1e-8.8.mga4.x86_64.rpm 1.0.1e x86_64 Mageia Core Updates
openssl-1.0.1e-8.7.mga4.i586.rpm 1.0.1e i586 Mageia Core Updates
openssl-1.0.1e-8.7.mga4.x86_64.rpm 1.0.1e x86_64 Mageia Core Updates
openssl-1.0.1e-8.6.mga4.i586.rpm 1.0.1e i586 Mageia Core Updates
openssl-1.0.1e-8.6.mga4.x86_64.rpm 1.0.1e x86_64 Mageia Core Updates
openssl-1.0.1e-8.5.mga4.i586.rpm 1.0.1e i586 Mageia Core Updates
openssl-1.0.1e-8.5.mga4.x86_64.rpm 1.0.1e x86_64 Mageia Core Updates
openssl-1.0.1e-8.4.mga4.i586.rpm 1.0.1e i586 Mageia Core Updates
openssl-1.0.1e-8.4.mga4.x86_64.rpm 1.0.1e x86_64 Mageia Core Updates
openssl-1.0.1e-8.2.mga4.i586.rpm 1.0.1e i586 Mageia Core Updates
openssl-1.0.1e-8.2.mga4.x86_64.rpm 1.0.1e x86_64 Mageia Core Updates
openssl-1.0.1e-8.mga4.i586.rpm 1.0.1e i586 Mageia Core
openssl-1.0.1e-8.mga4.x86_64.rpm 1.0.1e x86_64 Mageia Core
openssl - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.15) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.7) -
libcrypto.so.1.0.0 -
libdl.so.2 -
libopenssl1.0.0 == 1.0.1m-1.mga4
libssl.so.1.0.0 -
libz.so.1 -
perl(File::Basename) -
perl(Getopt::Std) -
perl(IO::Handle) -
perl(WWW::Curl::Easy) -
perl-base -
rootcerts -

Provides

Name Value
/usr/bin/openssl -
openssl == 1.0.1m-1.mga4
openssl(x86-32) == 1.0.1m-1.mga4

Download

Type URL
Binary Package openssl-1.0.1m-1.mga4.i586.rpm
Source Package openssl-1.0.1m-1.mga4.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on "Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install openssl rpm package:
    # urpmi openssl

Files

Path
/etc/pki/
/etc/pki/CA/private
/etc/pki/tls/openssl.cnf
/etc/pki/tls/private
/etc/pki/tls/rootcerts
/etc/pki/tls/certs/Makefile
/etc/pki/tls/certs/make-dummy-cert
/etc/pki/tls/misc/CA
/etc/pki/tls/misc/CA.pl
/etc/pki/tls/misc/c_hash
/etc/pki/tls/misc/c_info
/etc/pki/tls/misc/c_issuer
/etc/pki/tls/misc/c_name
/etc/pki/tls/misc/tsget
/usr/bin/c_rehash
/usr/bin/openssl
/usr/bin/ssleay
/usr/share/doc/openssl/FAQ
/usr/share/doc/openssl/INSTALL
/usr/share/doc/openssl/LICENSE
/usr/share/doc/openssl/NEWS
/usr/share/doc/openssl/PROBLEMS
/usr/share/doc/openssl/README
/usr/share/doc/openssl/README.ASN1
/usr/share/doc/openssl/README.ENGINE
/usr/share/doc/openssl/README.mga
/usr/share/man/man1/CA.pl.1.xz
/usr/share/man/man1/asn1parse.1.xz
/usr/share/man/man1/c_rehash.1.xz
/usr/share/man/man1/ca.1.xz
/usr/share/man/man1/ciphers.1.xz
/usr/share/man/man1/cms.1.xz
/usr/share/man/man1/crl.1.xz
/usr/share/man/man1/crl2pkcs7.1.xz
/usr/share/man/man1/dgst.1.xz
/usr/share/man/man1/dhparam.1.xz
/usr/share/man/man1/dsa.1.xz
/usr/share/man/man1/dsaparam.1.xz
/usr/share/man/man1/dss1.1.xz
/usr/share/man/man1/ec.1.xz
/usr/share/man/man1/ecparam.1.xz
/usr/share/man/man1/enc.1.xz
/usr/share/man/man1/errstr.1.xz
/usr/share/man/man1/gendsa.1.xz
/usr/share/man/man1/genpkey.1.xz
/usr/share/man/man1/genrsa.1.xz
/usr/share/man/man1/md2.1.xz
/usr/share/man/man1/md4.1.xz
/usr/share/man/man1/md5.1.xz
/usr/share/man/man1/mdc2.1.xz
/usr/share/man/man1/nseq.1.xz
/usr/share/man/man1/ocsp.1.xz
/usr/share/man/man1/openssl-passwd.1.xz
/usr/share/man/man1/openssl.1.xz
/usr/share/man/man1/pkcs12.1.xz
/usr/share/man/man1/pkcs7.1.xz
/usr/share/man/man1/pkcs8.1.xz
/usr/share/man/man1/pkey.1.xz
/usr/share/man/man1/pkeyparam.1.xz
/usr/share/man/man1/pkeyutl.1.xz
/usr/share/man/man1/rand.1.xz
/usr/share/man/man1/req.1.xz
/usr/share/man/man1/ripemd160.1.xz
/usr/share/man/man1/rsa.1.xz
/usr/share/man/man1/rsautl.1.xz
/usr/share/man/man1/s_client.1.xz
/usr/share/man/man1/s_server.1.xz
/usr/share/man/man1/s_time.1.xz
/usr/share/man/man1/sess_id.1.xz
/usr/share/man/man1/sha.1.xz
/usr/share/man/man1/sha1.1.xz
/usr/share/man/man1/sha224.1.xz
/usr/share/man/man1/sha256.1.xz
/usr/share/man/man1/sha384.1.xz
/usr/share/man/man1/sha512.1.xz
/usr/share/man/man1/smime.1.xz
/usr/share/man/man1/speed.1.xz
/usr/share/man/man1/spkac.1.xz
/usr/share/man/man1/ssl-passwd.1.xz
/usr/share/man/man1/ts.1.xz
/usr/share/man/man1/tsget.1.xz
/usr/share/man/man1/verify.1.xz
/usr/share/man/man1/version.1.xz
/usr/share/man/man1/x509.1.xz
/usr/share/man/man5/config.5.xz
/usr/share/man/man5/x509v3_config.5.xz
/usr/share/man/man7/des_modes.7.xz

Changelog

2015-03-19 - luigiwalser <luigiwalser> 1.0.1m-1.mga4
+ Revision: 818951
- 1.0.1m
- rediff patches 2, 6, 13, 14, 300, 301
- add patches from rhel to fix CVE-2014-3513 and CVE-2014-3567
- rediff patch from rhel to add scsv (mitigate CVE-2014-3566)
- update patch 112 to cope with scsv changes
- add patches from debian to fix security issues fixed in 1.0.1h (mga#13874)
- add patches from fedora to fix:
- CVE-2014-0195
- CVE-2014-0221
- CVE-2014-0224
- CVE-2014-3470
- update CVE-2014-0198 patch from fedora
- rediff patch from openbsd to fix CVE-2014-0198
- add patch from debian to fix checking critical flag in TSA cert extensions
- add patch from openbsd to fix CVE-2010-5298
- add upstream patch to fix CVE-2014-0160
- add patch from upstream via opensuse to fix CVE-2014-0076
+ oden <oden>
- 1.0.1k (fixes CVE-2014-3571, CVE-2015-0206, CVE-2014-3569, CVE-2014-3572, CVE-2015-0204, CVE-2015-0205, CVE-2014-8275, CVE-2014-3570)
- drop a lot of redundant patches
2014-01-06 - luigiwalser <luigiwalser> 1.0.1e-8.mga4
+ Revision: 565222
- add upstream patch to fix CVE-2013-6450
2014-01-06 - guillomovitch <guillomovitch> 1.0.1e-7.mga4
+ Revision: 565179
- use upstream patch to fix CVE 2013-4353
2013-12-23 - luigiwalser <luigiwalser> 1.0.1e-6.mga4
+ Revision: 560125
- add patch from fedora to fix CVE-2013-6449
2013-10-28 - guillomovitch <guillomovitch> 1.0.1e-5.mga4
+ Revision: 547610
- add upstream patch to fix null pointer issue (mga #11549)
2013-10-21 - umeabot <umeabot> 1.0.1e-4.mga4
+ Revision: 540748
- Mageia 4 Mass Rebuild
2013-10-09 - guillomovitch <guillomovitch> 1.0.1e-3.mga4
+ Revision: 494272
- disable kerberos support, to fix circular dependency issue (#mga 10339)
2013-05-29 - sander85 <sander85> 1.0.1e-2.mga4
+ Revision: 432014
- fix build of manpages with current pod2man (patches from fedora and upstream)
2013-02-11 - luigiwalser <luigiwalser> 1.0.1e-1.mga3
+ Revision: 397936
- 1.0.1e
- remove upstreamed patch
2013-02-08 - fwang <fwang> 1.0.1d-1.mga3
+ Revision: 395433
- new version 1.0.1d

See Also

Package Description
openswan-2.6.39-3.1.mga4.i586.rpm An implementation of IPSEC & IKE for Linux
openswan-2.6.39-3.2.mga4.i586.rpm An implementation of IPSEC & IKE for Linux
openswan-doc-2.6.39-3.1.mga4.i586.rpm An implementation of IPSEC & IKE for Linux
openswan-doc-2.6.39-3.2.mga4.i586.rpm An implementation of IPSEC & IKE for Linux
openvas-libraries-6.0.3-1.mga4.i586.rpm Support libraries for Open Vulnerability Assessment (OpenVAS) Server
openvas-manager-4.0.6-1.mga4.i586.rpm Vulnerability Management with OpenVAS Manager
openvpn-2.3.2-3.1.mga4.i586.rpm A Secure TCP/UDP Tunneling Daemon
otrs-3.2.14-1.mga4.noarch.rpm The Open Ticket Request System
otrs-3.2.15-1.mga4.noarch.rpm The Open Ticket Request System
otrs-3.2.16-1.mga4.noarch.rpm The Open Ticket Request System
otrs-3.2.17-1.mga4.noarch.rpm The Open Ticket Request System
owasp-esapi-java-2.1.0-1.mga4.noarch.rpm OWASP Enterprise Security API
owasp-esapi-java-doc-2.1.0-1.mga4.noarch.rpm Documentation for owasp-esapi-java
owasp-esapi-java-javadoc-2.1.0-1.mga4.noarch.rpm Javadocs for owasp-esapi-java
owncloud-6.0.2-1.mga4.noarch.rpm Open personal cloud
Advertisement
Advertisement